// Bubble.sc
// Invisible planet
// JackDole 2016.05.27 17:44:00

Planet "Blub"
{
    ParentBody  "Sol"
    Class       "Terra"
    
    Mass        1
    Radius      7040
    
    RotationPeriod  24
    
    Surface
    {
        DiffMap         "Invisible.*"       // This is the trick - a empty texture !
        DiffMapAlpha    "Transp"            // Necessary
    }
    
    Clouds
    {
        Height          2.04004
        Velocity        -1000
        BumpHeight      5.97198
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        ModulateColor  (1.000 1.000 1.000 0.421)
        mainFreq        0.906872
        mainOctaves     6
        Coverage        0.270784
        twistZones      2.59732
        twistMagn       0
    }

    Clouds
    {
        Height          4.08008
        BumpHeight      5.32527
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        ModulateColor  (1.000 1.000 1.000 0.421)
        mainFreq        0.906872
        mainOctaves     6
        Coverage        0.270784
        twistZones      2.59732
        twistMagn       0
    }

    Clouds
    {
        Height          6.12012
        BumpHeight      6.69837
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        ModulateColor  (1.000 1.000 1.000 0.421)
        mainFreq        0.906872
        mainOctaves     6
        Coverage        0.270784
        twistZones      2.59732
        twistMagn       0
    }

    Atmosphere
    {
        Model          "Earth"
        Height          60
        Density         1.2929
        Pressure        1
        Greenhouse      86.952
        Bright          10
        Opacity         0
        SkyLight        3
        Hue             0
        Saturation      1

        Composition
        {
            N2    	60.2906
            O2    	22.0906
            CO2   	8.62741
            H2O   	8.09038
            Kr    	0.900939
        }
    }

    Aurora
    {
        Height      113.452
        NorthLat    59.1794
        NorthLon    -5.04393
        NorthRadius 1865.22
        NorthWidth  1951.45
        NorthRings  5
        NorthBright 0.3
        NorthParticles 50000
        SouthLat    -46.7209
        SouthLon    153.433
        SouthRadius 1480.69
        SouthWidth  1500.08
        SouthRings  4
        SouthBright 0.3
        SouthParticles 50000
        TopColor    (1.000 1.000 1.000)
        BottomColor (0.000 1.000 0.000)
    }

    Rings
    {
        InnerRadius     7854.73
        OuterRadius     18193.3
        RotationPeriod  4.11813
        RotationOffset  0
        FrontBright     0.259895
        BackBright      0.35114
        Density         0.259397
        Brightness      1
    }

    Orbit
    {
        RefPlane        "Extrasolar"
        SemiMajorAxis   1.5
        Period          1.83712
        Eccentricity    0
        Inclination     1.10153
        AscendingNode   64.1872
        ArgOfPericenter 0
        MeanAnomaly     0
    }
}

